Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187751 - Cannot Create Rails 3 beta 4 Project
Cannot Create Rails 3 beta 4 Project
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Rails
6.x
PC Windows XP
: P1 (vote)
: 7.0
Assigned To: Erno Mononen
issues@ruby
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 20:31 UTC by ardavis26
Modified: 2010-07-08 13:04 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Error message recived durring project creation (393.50 KB, image/png)
2010-06-21 17:06 UTC, ardavis26
Details
Post Creation error (362.11 KB, image/png)
2010-06-21 17:06 UTC, ardavis26
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ardavis26 2010-06-17 20:31:12 UTC
Rails changed the command to create a app from "rails <project_name>" to "rails new <project_name>"

when you tell netbeans to create a new project aginst rails 3 beta4 this is the output you get:


Usage:
  rails new APP_PATH [options]

Options:
  -r, [--ruby=PATH]          # Path to the Ruby binary of your choice
                             # Default: c:/ruby19/bin/ruby.exe
  -d, [--database=DATABASE]  # Preconfigure for selected database (options: mysql/oracle/postgresql/sqlite3/frontbase/ibm_db)
                             # Default: sqlite3
  -b, [--builder=BUILDER]    # Path to an application builder (can be a filesystem path or URL)
  -m, [--template=TEMPLATE]  # Path to an application template (can be a filesystem path or URL).
      [--dev]                # Setup the application with Gemfile pointing to your Rails checkout
      [--edge]               # Setup the application with Gemfile pointing to Rails repository
      [--skip-gemfile]       # Don't create a Gemfile
  -O, [--skip-activerecord]  # Skip ActiveRecord files
  -T, [--skip-testunit]      # Skip TestUnit files
  -J, [--skip-prototype]     # Skip Prototype files
  -G, [--skip-git]           # Skip Git ignores and keeps

Runtime options:
  -f, [--force]    # Overwrite files that already exist
  -p, [--pretend]  # Run but do not make any changes
  -q, [--quiet]    # Supress status output
  -s, [--skip]     # Skip files that already exist

Rails options:
  -v, [--version]  # Show Rails version number and quit
  -h, [--help]     # Show this help message and quit

Description:
    The 'rails new' command creates a new Rails application with a default
    directory structure and configuration at the path you specify.

Example:
    rails new ~/Code/Ruby/weblog

    This generates a skeletal Rails installation in ~/Code/Ruby/weblog.
    See the README in the newly created application to get going.
Comment 1 Erno Mononen 2010-06-17 21:02:09 UTC
Thanks for catching this, will fix for 6.9.1.
Comment 2 Erno Mononen 2010-06-17 21:19:40 UTC
Fixed in efe229dfcad3.
Comment 3 Erno Mononen 2010-06-18 09:30:14 UTC
pchytil, can you please verify this too?
Comment 4 Quality Engineering 2010-06-19 03:37:59 UTC
Integrated into 'main-golden', will be available in build *201006190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/efe229dfcad3
User: Erno Mononen <emononen@netbeans.org>
Log: #187751 - Cannot Create Rails 3 beta 4 Project
Comment 5 rbalada 2010-06-21 16:01:18 UTC
Please verify bugfix for this bug, so it can be integrated into release691 repository.

Thanks,
-R
Comment 6 ardavis26 2010-06-21 17:06:15 UTC
Created attachment 100282 [details]
Error message recived durring project creation
Comment 7 ardavis26 2010-06-21 17:06:57 UTC
Created attachment 100283 [details]
Post Creation error
Comment 8 ardavis26 2010-06-21 17:07:49 UTC
It is not fixed.  it still gives the help message for the rails command and does not create the project.
Comment 9 Erno Mononen 2010-06-22 07:11:52 UTC
Can you please turn on detailed logging in Tools | Options | Misc | Ruby, try creating a new project again and then attach the log file (<nb_userdir>/var/log/messages.log) here? You can see what's your userdir in Help | About. Thanks.
Comment 10 Erno Mononen 2010-06-22 08:36:56 UTC
No need to send the log file, I was able to reproduce the error even after the fix. I found out that there was a bug in sorting different beta versions, and you could also reproduce this when beta4 was the only Rails version installed. Should be fixed now for good in 3b63cf5ca803 - please verify when you have the chance. Thanks.
Comment 11 Quality Engineering 2010-06-23 03:27:50 UTC
Integrated into 'main-golden', will be available in build *201006230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3b63cf5ca803
User: Erno Mononen <emononen@netbeans.org>
Log: #187751 - Cannot Create Rails 3 beta 4 Project
Comment 12 ardavis26 2010-06-23 04:20:25 UTC
It Works! Thank You
Comment 13 rbalada 2010-06-23 08:50:28 UTC
main #efe229dfcad3 transplanted to release691 #51b5b09dbd22
main #3b63cf5ca803 transplanted to release691 #e3ebfc688cb9
Comment 14 Tomas Danek 2010-07-08 13:04:31 UTC
i was able to create new rails project (using rails 3.0.0 b4) in

Product Version: NetBeans IDE 6.9.1 Dev (Build 201007072301)
Java: 1.6.0_17; Java HotSpot(TM) Client VM 14.3-b01
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
Userdir: C:\Documents and Settings\Tomas\.netbeans\6.9.1dev

---> verified in 6.9.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo